Create payment intent
Forte Payments
Create Payment Intent
Create a payment intent for a specific transaction type.
POST
Create payment intent
Documentation Index
Fetch the complete documentation index at: https://docs.fortepayments.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
access_token returned by the /auth/v1/oauth2/tokens API call.
Body
application/json
Payment intent request payload.
Request payload for BUY_VDA transaction type
Details of the customer purchasing the item. Either email or wallet or both must be present.
- Option 1
- Option 2
- Option 3
Currency of the item.
Available options:
USD, EUR Example:
"USD"
A unique value provided to ensure the operation is idempotent.
Maximum string length:
1000Example:
"idempotency-key-1"
Required array length:
1 elementTransaction type for buying Virtual Digital Assets, e.g. game currency.
Available options:
BUY_VDA Response
Create Payment Intent Response
- create_payment_intent_kyc_required_response
- create_payment_intent_banned_customer_response
- create_payment_intent_kyw_failed_response
- create_payment_intent_success_response
Create Payment Intent Response Schema